@ECHO OFF
REM ###########################  DecryptAll.bat  ###############################
REM # You can use this batch file to decrypt all backup files under a single   #
REM # directory using command-line. It will decrypt all backup files found     #
REM # with the encrypting key provided with corrupted files skipped            #
REM # automatically. However, this script doesn't restore file attributes and  #
REM # permissions associated with backup files.                                #
REM # Just customize the "User Define Section" below with values for your      #
REM # decrypt action.                                                          #
REM ############################################################################

REM ####################  Start: User Defined Section  #########################

REM ------------------------------  SRC_DIR  -----------------------------------
REM | File/Directory on the backup server that you would like to decrypt       |
REM | e.g. SET SRC_DIR="C:\files"                                              |
REM ----------------------------------------------------------------------------
SET SRC_DIR=""

REM -------------------------------  DECRYPT_TO  -------------------------------
REM | Directory to where you want files to be decrypted                        |
REM | Use "\\\\" instead of "\\" when you specify a UNC path                   |
REM | set to "" to decrypt files to original location                          |
REM | e.g. SET DECRYPT_TO="C:\Temp"                                            |
REM ----------------------------------------------------------------------------
SET DECRYPT_TO=""

REM ------------------------------  DECRYPT_KEY  -------------------------------
REM | Your encrypting key. It will be used to decrypt your backup files        |
REM | e.g. SET DECRYPT_KEY="abc"                                               |
REM ----------------------------------------------------------------------------
SET DECRYPT_KEY=""

REM ####################  END: User Defined Section  ###########################

SET APP_HOME=..
SET JAVA_HOME=%APP_HOME%\jvm
SET JAVA_EXE=%JAVA_HOME%\bin\java.exe
SET JAVA_OPTS=-Xms128m -Xmx768m -Dsun.java2d.noddraw 
SET JAVA_LIB_PATH=-Djava.library.path=%APP_HOME%\bin
SET PATH=%JAVA_HOME%\bin;%PATH%
SET CLASSPATH=%APP_HOME%\bin;%APP_HOME%\bin\obc.jar;%APP_HOME%\bin\obc-lib.jar

REM #############################################################################
ECHO - 
ECHO APP_HOME=%APP_HOME%
ECHO JAVA_HOME=%JAVA_HOME%
ECHO JAVA_EXE=%JAVA_EXE%
ECHO JAVA_OPTS=%JAVA_OPTS%
ECHO JAVA_LIB_PATH=%JAVA_LIB_PATH%
ECHO PATH=%PATH%
ECHO CLASSPATH=%CLASSPATH%
ECHO - 

ECHO Decrypting files in - '%SRC_DIR%' ...
@ECHO ON
%JAVA_EXE% %JAVA_LIB_PATH% -cp %CLASSPATH% %JAVA_OPTS% DecryptAll %SRC_DIR% %DECRYPT_TO% %DECRYPT_KEY%
PAUSE