@ECHO OFF
REM ##################  SeedLoad.bat  ##########################################
REM # You can use this batch to seed load any of your backup sets from the     #
REM # command line. Just customize the "User Defined Section" below with your  #
REM # values for your seed load action.                                        #
REM ############################################################################

REM ####################  Start: User Defined Section  #########################

REM -------------------------------  BACKUP_SET  -------------------------------
REM | The name or ID of the backup set that you want to run                    |
REM | If backup set name is not in English, please use BackupSetID             |
REM | e.g. SET BACKUP_SET="1119083740107"                                      |
REM |  or  SET BACKUP_SET="FileBackupSet-1"                                    |
REM |                                                                          |
REM | You can leave this parameter blank if you are using ACB or have only 1   |
REM | backup set.                                                              |
REM ----------------------------------------------------------------------------
SET BACKUP_SET=""

REM -------------------------------  OUTPUT_DIR  -------------------------------
REM | The directory where you want your seed loaded file to be spooled         |
REM | e.g. SET OUTPUT_DIR="C:\Seedload"                                        |
REM ----------------------------------------------------------------------------
SET OUTPUT_DIR="C:\Seedload"

REM -------------------------------  BACKUP_TYPE  ------------------------------
REM | Set backup type. You don't need to change this if you are backing up a   |
REM | file backup set.                                                         |
REM | Options available: FILE/DATABASE/DIFFERENTIAL/LOG                        |
REM | e.g. SET BACKUP_TYPE="FILE"          for file backup                     |
REM |  or  SET BACKUP_TYPE="DATABASE"      for Full database backup            |
REM |  or  SET BACKUP_TYPE="DIFFERENTIAL"  for Differential database backup    |
REM |  or  SET BACKUP_TYPE="LOG"           for Log database backup             |
REM |                                                                          |
REM | For MSExchange 2010 BackupSet                                            |
REM | e.g. SET BACKUP_TYPE="DATABASE"      for Full database backup            |
REM |  or  SET BACKUP_TYPE="DIFFERENTIAL"  for Differential database backup    |
REM |  or  SET BACKUP_TYPE="LOG"           for Incremental database backup     |
REM |  or  SET BACKUP_TYPE="COPY"          for Copy database backup 	       |
REM ----------------------------------------------------------------------------
SET BACKUP_TYPE="FILE"

REM ####################  END: User Defined Section  ###########################

SET APP_HOME=..
SET SETTING_HOME=
SET JAVA_HOME=%APP_HOME%\jvm
SET JAVA_EXE=%JAVA_HOME%\bin\java.exe
SET JAVA_OPTS=-Xms128m -Xmx768m -Dsun.java2d.noddraw 
SET JAVA_LIB_PATH=-Djava.library.path=%APP_HOME%\bin
SET PATH=%JAVA_HOME%\bin;%PATH%
SET CLASSPATH=%APP_HOME%\bin;%APP_HOME%\bin\obc.jar;%APP_HOME%\bin\obc-lib.jar

SET "DEP_LIB_PATH=X64"
IF "%PROCESSOR_ARCHITECTURE%"=="x86" (
  SET "DEP_LIB_PATH=X86"
)
SET PATH=%CD%\%APP_HOME%\bin\%DEP_LIB_PATH%;%PATH%

REM #############################################################################
ECHO - 
ECHO APP_HOME=%APP_HOME%
ECHO SETTING_HOME=%SETTING_HOME%
ECHO JAVA_HOME=%JAVA_HOME%
ECHO JAVA_EXE=%JAVA_EXE%
ECHO JAVA_OPTS=%JAVA_OPTS%
ECHO JAVA_LIB_PATH=%JAVA_LIB_PATH%
ECHO PATH=%PATH%
ECHO CLASSPATH=%CLASSPATH%
ECHO - 

ECHO Seed Loading Backup Set - '%BACKUP_SET%' ...
@ECHO ON
%JAVA_EXE% %JAVA_LIB_PATH% -cp %CLASSPATH% %JAVA_OPTS% SeedLoad %APP_HOME% %BACKUP_SET% %OUTPUT_DIR% %BACKUP_TYPE% %SETTING_HOME%
PAUSE
